This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 148185

Summary: API review: Added SourcesHelper.registerExternalRoots with minimalSubfolders parameters
Product: projects Reporter: Tomas Zezula <tzezula>
Component: Ant ProjectAssignee: Tomas Zezula <tzezula>
Status: RESOLVED FIXED    
Severity: blocker Keywords: API, API_REVIEW_FAST
Priority: P3    
Version: 6.x   
Hardware: All   
OS: Mac OS X   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 134919    
Attachments: diff file

Description Tomas Zezula 2008-09-24 10:32:57 UTC
The java infrastructure requires source roots to provide correctly query results (ClassPath, SFBQ, BFSQ, SLQ, EQ) which is not the case of the j2seproject with 
existing sources having includes, for more details see issue #134919.
The suggested API change adds new method registerExternalRoots (int policy, boolean minimalSubfolders) to the SourcesHelper class which allows the 
j2seproject to force the SourcesHelper to register whole source root in the SFOQ.
The change is compatible, covered by test.
Comment 1 Tomas Zezula 2008-09-24 10:48:12 UTC
Created attachment 70426 [details]
diff file
Comment 2 Jesse Glick 2008-09-25 01:38:43 UTC
All looks fine to me.
Comment 3 Tomas Zezula 2008-09-30 14:51:37 UTC
http://hg.netbeans.org/main/rev/2cae83b86e89
Comment 4 Quality Engineering 2008-10-01 05:58:31 UTC
Integrated into 'main-golden', will be available in build *200810010201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2cae83b86e89
User: Tomas Zezula <tzezula@netbeans.org>
Log: #148185:API review: Added SourcesHelper.registerExternalRoots with minimalSubfolders parameters